/* vc_lb.h

   Vertex cover lower bounds

   Ambros Marzetta

   94-10-14
   For more information see our WWW page at
   
         http://wwwjn.inf.ethz.ch/ambros/zram.html
	 
 * $Source: /home/schilte/marzetta/work/distr/zram/RCS/vc_lb.h,v $
 * $Revision: 1.1 $
 * $Date: 1998/04/15 08:47:29 $
 * $Log: vc_lb.h,v $
 * Revision 1.1  1998/04/15  08:47:29  marzetta
 * Initial revision
 *
 *
 */

#include "vc_base.h"

/* Lower Bounds:
   1: edges / maxdegree (useless)
   2: some matching
   3: triangles
   4: cliques
   5: two subgraphs with constant lower bound
   6: two subgraphs: solve these (very slow)
   7: maximum matching
   */

MINT vc_LowerBound(vc_GlobalP global, vc_NodeP np);
/* Choose one of the other procedures. */

void PrintLbHisto(char * name, int solution);
/* Print the histogram of lower bounds. */

